## ia32-libs 0.3

=== debian/changelog ===
ia32-libs (0.3) unstable; urgency=low

  * add libstdc++2.9-glibc2.1_2.91.66-4_i386.deb to the set of libraries
    delivered

 -- Bdale Garbee <bdale@gag.com>  Mon, 18 Feb 2002 01:29:50 -0700

ia32-libs (0.2) unstable; urgency=high

  * put ld-linux.so.2 in the right place, closes: #123231
  * improve handling of /etc/ld.so.conf in postinst/postrm
  * freshen set of ia32 libs delivered
  * don't mash permissions in /emul/ia32-linux during packaging
  * mark this urgency high since initial version didn't work at all... /o\

 -- Bdale Garbee <bdale@gag.com>  Fri, 15 Feb 2002 21:11:37 -0700

ia32-libs (0.1) unstable; urgency=low

  * Initial Release.  Debian-specific, ia64-only package.

 -- Bdale Garbee <bdale@gag.com>  Fri, 23 Nov 2001 14:17:02 -0700

Local variables:
mode: debian-changelog
End:
