=== debian/control ===
Source: ia32-libs
Section: libs
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: ia32-libs
Architecture: ia64
Description: IA-32 shared libraries for use on IA-64 systems
 This package delivers a set of pre-compiled ia32 (i386 family) shared 
 libraries, so that ia32 Linux applications can be executed on ia64 systems.
