## ia32-libs 0.4

=== debian/changelog ===
ia32-libs (1:0.4) unstable; urgency=low

  * Removing libldap-2.4-2, libnss-ldap, libpam-ldap from dependences:
    + recommends causes debconf questions for those not having LDAP.
    + suggests doesn't cause them to be installed on upgrade.
    + if you need them you should know about them anyway.
    + if something needs them it should depend on it itself.
    (Closes: #684029)

 -- Goswin von Brederlow <goswin-v-b@web.de>  Sun, 25 Nov 2012 19:31:10 +0100

ia32-libs (1:0.3) unstable; urgency=medium

  * Drop dependency on removed libdb4.8 [ROM] (Closes: #679671)

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 10 Oct 2012 16:54:20 +0200

ia32-libs (1:0.2) unstable; urgency=medium

  * Jack and jack2 are abi-compatible, so add them as alternative
    dependencies. Thanks Felipe Sateler for the patch! (closes: #680153)
  * Downgrade libldap-2.4-2, libnss-ldap, libpam-ldap to Recommends,
    so they may be opted out of. (closes: #684029)

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 07 Oct 2012 16:41:00 +0200

ia32-libs (1:0.1) unstable; urgency=low

  * Upload with epoched version number to clearly separate new style
    ia32-libs from the old monolithic version (closes: #688915).

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 28 Sep 2012 10:08:38 +0000

ia32-libs (20120701) unstable; urgency=low

  * Drop dependency on removed libdb4.8 [ROM] (Closes: #679671)

 -- Goswin von Brederlow <goswin-v-b@web.de>  Sun, 01 Jul 2012 10:54:33 +0200

ia32-libs (20120616) unstable; urgency=low

  * Transition ia32-libs to multiarch.
    + ia32-libs:amd64 becomes transitional package depending on ia32-libs-i386.
    + New transitional package ia32-libs-i386:i386 that depends on all
      libraries previously in ia32-libs.
  * Drop libhal1 dependency since it is to be removed from wheezy.
  * Drop libcapi20-3 dependency since isdnutils is dead and not multiarch.
  * Removed ia32-libs-dev
    + building complex 32bit packages on amd64 is no longer supported
    + build i386 packages and install via multiarch instead
  * Removed support for ia64, kernel no longer supports 32bit.

 -- Goswin von Brederlow <goswin-v-b@web.de>  Sat, 16 Jun 2012 15:32:03 +0200

ia32-libs (20120102) stable; urgency=low

  * Packages updated

  [ cups (1.4.4-7+squeeze1) stable-security; urgency=high ]

  * Non-maintainer upload by the Security Team.
  * debian/patches:
    - str3867 added, fix an infinite loop / heap-based buffer overflow in the
      gif_read_lzw() function (CVE-2011-2896)
    - str3914 added, complete the fix for the previous issue (CVE-2011-3170).

  [ freetype (2.4.2-2.1+squeeze3) stable-security; urgency=low ]

  * Non-maintainer upload by the Security Team.
  * Upload prepared by Michael Gilbert!
  * Fix CVE-2011-3439: vulnerability in CID-keyed Type 1 fonts.

  [ freetype (2.4.2-2.1+squeeze2) stable-security; urgency=low ]

  * Non-maintainer upload by the Security Team
  * CVE-2011-3256

  [ krb5 (1.8.3+dfsg-4squeeze2) stable; urgency=low ]

  * Upstream ticket 6852: permit gss_set_allowable_enctypes to restirct
    acceptor enctypes. Required in order to permit newer than squeeze
    clients to talk to a squeeze nfs server without degrading security
    for non-nfs applications on the box, #622146

  [ mesa (7.7.1-5) squeeze; urgency=low ]

  * glx: suppress BadRequest from DRI2Connect (which is expected for non-local
    clients).

  [ nss (3.12.8-1+squeeze4) stable-security; urgency=low ]

  * Explicitly distrust malaysian Digicert Sdn. Bhd CA certificate.
  * Address CVE-2011-3640 (Untrusted search path vulnerability).
    #647614.

  [ openssl (0.9.8o-4squeeze4) squeeze-security; urgency=high ]

  * Non-maintainer upload by the Security Team.
  * Block Malaysian's Digicert Sdn. Bhd. certificates by marking them
    as revoked.

  [ openssl (0.9.8o-4squeeze3) squeeze; urgency=low ]

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2011-3210: SSL memory handling for (EC)DH ciphersuites

  [ pam (1.1.1-6.1+squeeze1) stable-security; urgency=low ]

  * Non-maintainer upload by the Security Team
  * Fix CVE-2011-3148 and CVE-2011-3149

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 02 Jan 2012 20:24:00 +0000

ia32-libs (20111001) stable; urgency=low

  * Packages updated

  [ curl (7.21.0-2) stable-security; urgency=high ]

  * debian/patches/curl-gssapi-delegation: Fix for GSSAPI delegation
    vulnerability as detailed in CVE-2011-2192. More information and
    the patch at <http://curl.haxx.se/docs/adv_20110623.html>.
    (#631615)

  [ dbus (1.2.24-4+squeeze1) stable; urgency=low ]

  * Update Vcs-* control fields to reflect the move to git
  * Apply patch to fix CVE-2011-2200 (fd.o #38120), which is a local DoS for
    system services (#629938)

  [ e2fsprogs (1.41.12-4stable1) stable; urgency=high ]

  * Upload to proposed-updates
  * Fix "mke2fs -n" so it won't issue a discard and thus trash all
     the data on an SSD (oops!!!)

  [ e2fsprogs (1.41.12-4) unstable; urgency=high ]

  * Clear ext4 error fields in the superblock.  Otherwise users will see
    scary messages every 24 hours after a file system error is detected,
    even after e2fsck has fixed it, if they are using Linux 2.6.35 or later.
  * Fix usage message for logsave (#619788)

  [ e2fsprogs (1.41.12-3) unstable; urgency=high ]

  * Fix signed vs. unsigned char bug in getopt in e2fsprogs which
    afflicts systems with default unsigned char
  * Fix bug in e2fsck where it would fail to fix file systems
    where both the primary and backup block group descriptors are
    corrupted.  (Addresses Ubuntu Launchpad bug: #711799)
  * Fix package description: fsck has been moved to util-linux
    (#588726)
  * Fix badblocks so it the progress message correctly handles UTF-8
    characters for I18N systems (#583782, #587834)
  * Prevent e2fsck from accidentally scrambling a file system when
    checking a snapshot which has an external journal device (which has
    not been snapshotted).  (#587531)

