=== debian/control ===
Source: ia32-libs
Section: oldlibs
Priority: extra
Maintainer: Debian ia32-libs Team <pkg-ia32-libs-maintainers@lists.alioth.debian.org>
Uploaders: Goswin von Brederlow <goswin-v-b@web.de>, Frederik Schüler <fs@debian.org>, Thijs Kinkhorst <thijs@debian.org>
Build-Depends: debhelper (>> 8.0.0)
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=pkg-ia32-libs/ia32-libs.git
Vcs-Git: git://git.debian.org/git/pkg-ia32-libs/ia32-libs.git

Package: ia32-libs
Architecture: amd64
Pre-Depends: multiarch-support
Depends: ia32-libs-i386, ${misc:Depends}
Suggests: ia32-libs-gtk
Description: Transitional package to migrate ia32-libs to multiarch
 This is a transitional package used to migrate the ia32-libs package
 to true multiarch. It can be removed once nothing on the system
 depends on it.
 .
 This package requires multiarch to be enabled before it can be
 installed, use "dpkg --add-architecture i386".

Package: ia32-libs-i386
Architecture: i386
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, freeglut3 (>= 2.6.0-1), lesstif2 (>= 1:0.95.2-1),
 libacl1 (>= 2.2.49-4), libaio1 (>= 0.3.107-7), libasyncns0 (>= 0.3-1.1),
 libattr1 (>= 1:2.4.44-2), libaudio2 (>= 1.9.2-4), libaudiofile1 (>= 0.2.6-8),
 libavahi-client3 (>= 0.6.27-2+squeeze1),
 libavahi-common3 (>= 0.6.27-2+squeeze1), libbsd0 (>= 0.2.0-1),
 libcap2 (>= 1:2.19-3),
 libcomerr2 (>= 1.41.12-4stable1), libcups2 (>= 1.4.4-7+squeeze1),
 libcurl3 (>= 7.21.0-2),
 libdbus-1-3 (>= 1.2.24-4+squeeze1), libdirectfb-1.2-9 (>= 1.2.10.0-4),
 libdrm-intel1 (>= 2.4.21-1~squeeze3), libdrm-radeon1 (>= 2.4.21-1~squeeze3),
 libdrm2 (>= 2.4.21-1~squeeze3), libedit2 (>= 2.11-20080614-2),
 libesd0 (>= 0.2.41-8), libexif12 (>= 0.6.19-1), libexpat1 (>= 2.0.1-7),
 libflac8 (>= 1.2.1-2+b1), libfltk1.1 (>= 1.1.10-2+b1),
 libfontconfig1 (>= 2.8.0-2.1), libfreetype6 (>= 2.4.2-2.1+squeeze3),
 libgcrypt11 (>= 1.4.5-2), libgdbm3 (>= 1.8.3-9),
 libgl1-mesa-dri (>= 7.7.1-5), libgl1-mesa-glx (>= 7.7.1-5),
 libglu1-mesa (>= 7.7.1-5), libgnutls26 (>= 2.8.6-1),
 libgpg-error0 (>= 1.6-1), libgphoto2-2 (>= 2.4.6-3),
 libgphoto2-port0 (>= 2.4.6-3), libgssapi-krb5-2 (>= 1.8.3+dfsg-4squeeze2),
 libice6 (>= 2:1.0.6-2), libidn11 (>= 1.15-2), libieee1284-3 (>= 0.2.11-6),
 libjack-jackd2-0 (>= 1.9.5~dfsg-14) | libjack0 (>= 1:0.118+svn3796-7),
 libjpeg62 (>= 6b1-1), libjpeg8 (>= 8b-1),
 libk5crypto3 (>= 1.8.3+dfsg-4squeeze2), libkeyutils1 (>= 1.4-1),
 libkrb5-3 (>= 1.8.3+dfsg-4squeeze2),
 libkrb5support0 (>= 1.8.3+dfsg-4squeeze2), liblcms1 (>= 1.18.dfsg-1.2+b3),
 libltdl7 (>= 2.2.6b-2), liblzo2-2 (>= 2.03-2),
 libmpg123-0 (>= 1.12.1-3), libnspr4-0d (>= 4.8.6-1),
 libnss3-1d (>= 3.12.8-1+squeeze4),
 libogg0 (>= 1.2.0~dfsg-1), libopenal1 (>= 1:1.12.854-2),
 libpam0g (>= 1.1.1-6.1+squeeze1),
 libpng12-0 (>= 1.2.44-1+squeeze1), libpopt0 (>= 1.16-1),
 libpulse0 (>= 0.9.21-3+squeeze1), libsamplerate0 (>= 0.1.7-3),
 libsane (>= 1.0.21-9), libsasl2-2 (>= 2.1.23.dfsg1-7),
 libsdl1.2debian (>= 1.2.15), libselinux1 (>= 2.0.96-1),
 libsigc++-2.0-0c2a (>= 2.2.4.2-1), libsm6 (>= 2:1.1.1-1),
 libsndfile1 (>= 1.0.21-3+squeeze1), libsqlite3-0 (>= 3.7.3-1),
 libssh2-1 (>= 1.2.6-1), libssl1.0.0 (>= 1), libstdc++5 (>= 1:3.3.6-20),
 libsvga1 (>= 1:1.4.3-29), libsysfs2 (>= 2.1.0+repack-1),
 libtasn1-3 (>= 2.7-1), libtdb1 (>= 1.2.1-2+b1),
 libtiff4 (>= 3.9.4-5+squeeze3), libts-0.0-0 (>= 1.0-7),
 libusb-0.1-4 (>= 2:0.1.12-16), libuuid1 (>= 2.17.2-9),
 libvorbis0a (>= 1.3.1-1), libvorbisenc2 (>= 1.3.1-1),
 libvorbisfile3 (>= 1.3.1-1), libwrap0 (>= 7.6.q-19),
 libx11-6 (>= 2:1.3.3-4), libx86-1 (>= 1.1+ds1-6), libxau6 (>= 1:1.0.6-1),
 libxaw7 (>= 2:1.0.7-1), libxcb-render-util0 (>= 0.3.6-1),
 libxcb-render0 (>= 1.6-1), libxcb1 (>= 1.6-1), libxcomposite1 (>= 1:0.4.2-1),
 libxcursor1 (>= 1:1.1.10-2), libxdamage1 (>= 1:1.1.3-1),
 libxdmcp6 (>= 1:1.0.3-2), libxext6 (>= 2:1.1.2-1),
 libxfixes3 (>= 1:4.0.5-1), libxft2 (>= 2.1.14-2), libxi6 (>= 2:1.3-6),
 libxinerama1 (>= 2:1.1-3), libxml2 (>= 2.7.8.dfsg-2+squeeze1),
 libxmu6 (>= 2:1.0.5-2), libxmuu1 (>= 2:1.0.5-2), libxp6 (>= 1:1.0.0.xsf1-2),
 libxpm4 (>= 1:3.5.8-1), libxrandr2 (>= 2:1.3.0-3),
 libxrender1 (>= 1:0.9.6-1), libxslt1.1 (>= 1.1.26-6),
 libxss1 (>= 1:1.2.0-2), libxt6 (>= 1:1.0.7-1), libxtst6 (>= 2:1.1.0-3),
 libxv1 (>= 2:1.0.5-1), libxxf86vm1 (>= 1:1.1.0-2),
 odbcinst1debian2 (>= 2.2.14p2-1), libodbc1, xaw3dg (>= 1.5+E-18)
Breaks: libwine (<< 1.4-6), libwine-capi (<< 1.4~)
Suggests: ia32-libs-gtk-i386
Multi-Arch: foreign
Description: Transitional package to migrate ia32-libs to multiarch
 This is a transitional package used to migrate the ia32-libs package
 to true multiarch. It can be removed once nothing on the system
 depends on it.
 .
 This package depends on all the individual library packages that were
 previously included in ia32-libs.
