## ia32-libs 0.5

=== debian/changelog ===
ia32-libs (1:0.5) unstable; urgency=low

  * Drop dependency on libsvga1, which is to be removed from
    the archive (closes: #713990).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 24 Jun 2013 21:17:11 +0200
