=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian ia32-libs Team <pkg-ia32-libs-maintainers@lists.alioth.debian.org>
 Uploaders: Goswin von Brederlow <goswin-v-b@web.de>, Frederik Schüler <fs@debian.org>, Thijs Kinkhorst <thijs@debian.org>
 Build-Depends: debhelper (>> 8.0.0)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=pkg-ia32-libs/ia32-libs.git
 Vcs-Git: git://git.debian.org/git/pkg-ia32-libs/ia32-libs.git
 
@@ -61,7 +61,7 @@
  libsigc++-2.0-0c2a (>= 2.2.4.2-1), libsm6 (>= 2:1.1.1-1),
  libsndfile1 (>= 1.0.21-3+squeeze1), libsqlite3-0 (>= 3.7.3-1),
  libssh2-1 (>= 1.2.6-1), libssl1.0.0 (>= 1), libstdc++5 (>= 1:3.3.6-20),
- libsvga1 (>= 1:1.4.3-29), libsysfs2 (>= 2.1.0+repack-1),
+ libsysfs2 (>= 2.1.0+repack-1),
  libtasn1-3 (>= 2.7-1), libtdb1 (>= 1.2.1-2+b1),
  libtiff4 (>= 3.9.4-5+squeeze3), libts-0.0-0 (>= 1.0-7),
  libusb-0.1-4 (>= 2:0.1.12-16), libuuid1 (>= 2.17.2-9),
