## ia32-libs 0.5ubuntu2

=== debian/changelog ===
ia32-libs (0.5ubuntu2) warty; urgency=low

  * Don't ship libstdc++, it's provided by the lib32stdc++5 package,
    built by gcc-3.3

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 29 Aug 2004 11:18:56 +0200

ia32-libs (0.5ubuntu1) warty; urgency=medium

  * Make sure we include source, basically hacked from amd64-libs, by
    Daniel Jacobowitz.

 -- Tollef Fog Heen <tfheen@raw.no>  Sun, 29 Aug 2004 10:00:44 +0200

ia32-libs (0.5) unstable; urgency=low

  * add amd64 to the architecture list, closes: #252762
  * freshen to latest packages in Debian testing

 -- Bdale Garbee <bdale@gag.com>  Wed,  9 Jun 2004 11:47:59 -0600

ia32-libs (0.4) unstable; urgency=low

  * document in README.Debian how to use dpkg -X to add packages to the 
    /emul/ia32-linux tree.  Thanks to Torsten Werner for this.
  * add more libraries and a uname binary, closes: #162093
  * freshen to latest packages in Debian testing, closes: #171449
  * add more libstdc++ versions, closes: #216978

 -- Bdale Garbee <bdale@gag.com>  Wed, 10 Dec 2003 15:23:43 -0700
