=== debian/control ===
Source: ia32-libs
Section: libs
Priority: optional
Maintainer: Daniel Jacobowitz <dan@debian.org>
Build-Depends: debhelper (>> 3.0.0), dpkg-dev (>= 1.10.22ubuntu1)
Standards-Version: 3.6.1.0

Package: ia32-libs
Architecture: amd64 ia64
Description: ia32 shared libraries for use on amd64 and ia64 systems
 This package contains runtime libraries for the ia32/i386
 architecture, configured for use on an amd64 or ia64 Debian system running
 a 64-bit kernel.

Package: ia32-libs-dev
Architecture: amd64 ia64
Depends: ia32-libs (= ${Source-Version})
Description: ia32 development libraries and headers for use on ia32/ia64 systems
 This package contains headers and development libraries for building
 32-bit ia32 applications on amd64/ia64 Debian systems.
