## ia32-libs 0.5ubuntu3

=== debian/changelog ===
ia32-libs (0.5ubuntu3) hoary; urgency=low

  * Build libgcc1, but only ship it if uname -m == ia64.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 29 Aug 2004 11:18:56 +0200
	
