=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,16 @@
 
 # Extract all debs
 	for i in `cd pkgs ; /bin/ls *.deb` ; do \
+		if [ "$$(echo $$i | sed 's,_.*,,')" = "libgcc1" ]; then \
+			continue;\
+		fi; \
 		dpkg-deb -x pkgs/$$i debian/ia32-libs/ ; done
+
+	if [ "$$(uname -m)" = "ia64" ]; then \
+		dpkg-deb -x pkgs/libgcc1_*deb debian/lib32gcc1 ; \
+		mv debian/lib32gcc1/lib debian/lib32gcc1/lib32 ; \
+		mv debian/lib32gcc1/usr/share/doc/libgcc1 debian/lib32gcc1/usr/share/doc/lib32gcc1 ; \
+	fi
 
 # Fix up some things
 	mv debian/ia32-libs/lib debian/ia32-libs/lib32
@@ -46,7 +55,19 @@
 
 # Make ldd work for 32-bit and 64-bit binaries.
 	[ -x debian/ia32-libs/usr/bin/ldd ]
-	sed < debian/ia32-libs/usr/bin/ldd 's%RTLDLIST=.*%RTLDLIST=" /lib/ld-linux-x86-64.so.2 /lib/ld-linux.so.2"%' | sed 's%verify_out=`$${rtld} --verify "$$file"`%verify_out=`$${rtld} --verify "$$file" 2>\&1`%' > debian/ia32-libs/ldd
+	case $$(uname -m) in \
+		x86_64) \
+			RTLDLIST="/lib/ld-linux-x86-64.so.2 /lib/ld-linux.so.2" \
+		;; \
+		ia64) \
+			RTLDLIST="/lib/ld-linux-ia64.so.2 /lib/ld-linux.so.2" \
+		;; \
+		*) \
+			echo "Unsupported architecture"; exit 1 \
+		;; \
+	esac ; \
+	sed < debian/ia32-libs/usr/bin/ldd "s%RTLDLIST=.*%RTLDLIST=\" $$RTLDLIST\"%" | sed 's%verify_out=`$${rtld} --verify "$$file"`%verify_out=`$${rtld} --verify "$$file" 2>\&1`%' > debian/ia32-libs/ldd 
+
 	mv debian/ia32-libs/usr/bin/lddlibc4 debian/ia32-libs/
 	rm -rf debian/ia32-libs/usr/bin
 	mkdir -p debian/ia32-libs/usr/bin
@@ -116,22 +137,28 @@
 binary-indep:
 
 # Build architecture-dependent files here.
+
+
+
 binary-arch: build install
-	dh_testdir
-	dh_testroot
-	dh_installdocs
-	dh_installexamples
-	dh_installchangelogs 
+	dh_testdir -s
+	dh_testroot -s 
+	dh_installdocs -s
+	dh_installexamples -s
+	dh_installchangelogs -s
 #	dh_link
 #	dh_strip
-	dh_compress
-	dh_fixperms --exclude "*/ld-*"
+	dh_compress -s
+	dh_fixperms --exclude "*/ld-*" -s
 #	dh_makeshlibs
-	dh_installdeb
+	dh_installdeb -s
 #	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_gencontrol -pia32-libs -pia32-libs-dev
+	if [ "$$(uname -m)" = "ia64" ]; then \
+		dh_gencontrol -plib32gcc1 -- -v`dpkg -I pkgs/libgcc1_*deb | awk '/Version/ {print $$2; exit}'` ; \
+	fi
+	dh_md5sums -s
+	dh_builddeb -s
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
