## ia32-libs 0.5ubuntu3.1

=== debian/changelog ===
ia32-libs (0.5ubuntu3.1) hoary-security; urgency=low

  * Update zlib1g with the binaries from zlib 1.2.1.1-3ubuntu1.2:
    - SECURITY UPDATE: Fix another buffer overflow on invalid data streams.
      - CAN-2005-1849
    - SECURITY UPDATE: Fix buffer overflow on invalid data streams.
      - CAN-2005-2096

 -- Tollef Fog Heen <tfheen@canonical.com>  Thu, 21 Jul 2005 14:47:00 +0200
