=== debian/control ===
--- 
+++ 
@@ -18,3 +18,12 @@
 Description: ia32 development libraries and headers for use on ia32/ia64 systems
  This package contains headers and development libraries for building
  32-bit ia32 applications on amd64/ia64 Debian systems.
+
+Package: lib32gcc1
+Architecture: ia64
+Depends: ia32-libs (= ${Source-Version})
+Description: GCC support library (ia32)
+ Shared version of the support library, a library of internal subroutines
+ that GCC uses to overcome shortcomings of particular machines, or
+ special needs for some languages.
+
