## ia32-libs 1.4

=== debian/changelog ===
ia32-libs (1.4) unstable; urgency=high

  * Correctly adjust the GROUP commands in linker scripts this time.
    Thanks to Goswin von Brederlow for the patch.   This also means we
    don't mangle random libraries either.  Closes: #305122, #306512.
  * Ship /usr/lib32 as a symlink to /emul/ia32-linux/usr/lib.  This makes
    gcc -m32 happy again on amd64.  Closes: #307521
  * We're not doing anything clever with ia32-libs-dev.{preinst,postrm},
    so don't pretend to either.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu,  5 May 2005 14:37:55 +0200

ia32-libs (1.3) unstable; urgency=low

  * Adjust linker scripts too, closes: #305122
  * Adjust section for ia32-libs-dev
  * Depend on lib32gcc1, closes: #305975
  * Add replaces for ia32-libs-openoffice.org, closes: #304971

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 25 Apr 2005 01:19:06 +0000

ia32-libs (1.2) unstable; urgency=low

  * Make sure we don't ship files in /usr/bin, closes: #304408
  * Make the removal of an obsolete alternative quiet.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 14 Apr 2005 11:14:29 +0000

ia32-libs (1.1) unstable; urgency=high

  * Put Bdale back as the maintainer, sorry to both Bdale and Daniel for
    the confusion.
  * Update the README.build too.
  * Bump urgency, since this fixes an RC bug so we want to get it in
    quickly.
  * Make sure to include the ia32-libs version number too in the lib32gcc1
    package version.
  
 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 12 Apr 2005 06:55:17 +0000

ia32-libs (1) unstable; urgency=low

  * Merge the Debian and Ubuntu versions of this package.
  * Now provide source, closes: #291952.
  * Add zlib, closes: #269497.
  * Add lesstif2, closes: #255787.
  * Add Xrender libs, closes: #287241.
  * Add libexpat1, libfontconfig1, closes: #291743.
  * Add libgcc1 on ia64, closes: #294322.
  * Add note about runnin ldconfig to README.Debian, closes: #294510
  
 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 11 Apr 2005 16:22:08 +0200

ia32-libs (0.7) unstable; urgency=medium

  * incorporate work by Matthias Klose on 0.6 into my source tree
  * freshen to latest packages in Debian testing
  * mostly-cosmetic updates to rules, README.Debian, etc
  * make the -dev package build correctly, and add a Manifest file
  * add libacl1, libattr1

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Aug 2004 16:53:54 -0600

ia32-libs (0.6) unstable; urgency=low

  * Build ia32-libs-dev package, needed as a build dependency for an
    biarch compiler.
  * Add libc6-dev package to the archive.
  * Make /usr/lib32 a symlink to /emul/ia32-linux/usr/lib. Ugly, but doesn't
    get in the way with existing (/usr/lib) and future (/usr/i486-linux/lib)
    links.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Aug 2004 15:45:31 +0000
