## ia32-libs 1.4ubuntu4

=== debian/changelog ===
ia32-libs (1.4ubuntu4) breezy; urgency=low

  * Don't rebuild, keep packages from 1.4ubuntu2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Oct 2005 12:11:15 +0000

ia32-libs (1.4ubuntu3) breezy; urgency=low

  * Add libdb4.2.
  * debian/rules: Special case libdb-4.2.so not to land in the -dev package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Oct 2005 10:36:13 +0000

ia32-libs (1.4ubuntu2) breezy; urgency=low

  * Freshen
  * New zlib fixes CAN-2005-1849 and CAN-2005-2096

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 14 Sep 2005 16:01:50 +0200

ia32-libs (1.4ubuntu1) breezy; urgency=low

  * Synchronise with Debian again.
  * Don't ship lddlibc4 any more.
  * Only mangle ldd on ia64, it's not needed on AMD64.
  * Don't try to ship zlib1g on amd64, add depends on lib32z1 instead.
  * Add libpam0g, libsndfile1, libxinerama1 to make OOo2 happy.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue,  9 Aug 2005 15:58:38 +0200
