=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: ia32-libs
 Architecture: amd64 ia64
-Depends: lsb-release, lib32gcc1
+Depends: lsb-release, lib32gcc1, lib32z1
 Replaces: ia32-libs-openoffice.org
 Description: ia32 shared libraries for use on amd64 and ia64 systems
  This package contains runtime libraries for the ia32/i386
@@ -29,3 +29,12 @@
  Shared version of the support library, a library of internal subroutines
  that GCC uses to overcome shortcomings of particular machines, or
  special needs for some languages.
+
+Package: lib32z1
+Architecture: ia64
+Pre-Depends: ia32-libs
+Replaces: ia32-libs (<= 1.4)
+Description: compression library - 32 bit runtime
+ zlib is a library implementing the deflate compression method found
+ in gzip and PKZIP.  This package includes a 32 bit version of the
+ shared library.
