=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 # Lowest version with fully ABI compatible libraries
 SHLIB_VERSION=0.2
 
+DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 OSVER=$(shell lsb_release -s -i)
 ifeq (Debian,$(OSVER))
 	ROOT=emul/ia32-linux
@@ -15,7 +16,6 @@
 endif
 
 build:
-#	./fetch-and-build
 
 clean:
 	dh_testdir
@@ -33,7 +33,8 @@
 
 # Extract all debs
 	for i in `cd pkgs ; /bin/ls *.deb` ; do \
-		if [ "$$(echo $$i | sed 's,_.*,,')" = "libgcc1" ]; then \
+		PKGNAME=$$(echo $$i | sed 's,_.*,,'); \
+		if [ "$$PKGNAME" = "libgcc1" ] || [ "$$PKGNAME" = "zlib1g" ]; then \
 			continue;\
 		fi; \
 		dpkg-deb -x pkgs/$$i debian/ia32-libs/ ; done
@@ -43,6 +44,10 @@
 		mkdir -p debian/lib32gcc1/$(ROOT)/lib$(SUFFIX) ; \
 		mv debian/lib32gcc1/lib debian/lib32gcc1/$(ROOT)/lib$(SUFFIX) ; \
 		mv debian/lib32gcc1/usr/share/doc/libgcc1 debian/lib32gcc1/usr/share/doc/lib32gcc1 ; \
+		dpkg-deb -x pkgs/zlib1g_*deb debian/lib32z1 ; \
+		mkdir -p debian/lib32z1/$(ROOT)/lib$(SUFFIX) ; \
+		mv debian/lib32z1/lib debian/lib32gcc1/$(ROOT)/lib$(SUFFIX) ; \
+		mv debian/lib32z1/usr/share/doc/zlib1g debian/lib32z1/usr/share/doc/lib32z1 ; \
 	fi
 
 	mkdir -p debian/ia32-libs/$(ROOT)
@@ -59,7 +64,6 @@
 	ln -s /$(ROOT)/usr/lib$(SUFFIX) debian/ia32-libs/usr/lib32
 endif
 
-
 	rm -r debian/ia32-libs/usr/include
 	rm -r debian/ia32-libs/usr/X11R6
 	rm -r debian/ia32-libs/usr/share
@@ -75,26 +79,23 @@
 	[ -x debian/ia32-libs/usr/bin/ldd ]
 	case $$(uname -m) in \
 		x86_64) \
-			RTLDLIST="/lib/ld-linux-x86-64.so.2 /lib/ld-linux.so.2" \
+			rm -rf debian/ia32-libs/usr/bin ; \
 		;; \
 		ia64) \
-			RTLDLIST="/lib/ld-linux-ia64.so.2 /lib/ld-linux.so.2" \
+			RTLDLIST="/lib/ld-linux-ia64.so.2 /lib/ld-linux.so.2" ;\
+			sed < debian/ia32-libs/usr/bin/ldd "s%RTLDLIST=.*%RTLDLIST=\" $$RTLDLIST\"%" | sed 's%verify_out=`$${rtld} --verify "$$file"`%verify_out=`$${rtld} --verify "$$file" 2>\&1`%' > debian/ia32-libs/ldd ;\
+		rm -rf debian/ia32-libs/usr/bin ; \
+		mkdir -p debian/ia32-libs/usr/bin ; \
+		mv debian/ia32-libs/ldd debian/ia32-libs/usr/bin/ ; \
+		chmod u=rwx,go=rx debian/ia32-libs/usr/bin/ldd \
 		;; \
 		*) \
 			echo "Unsupported architecture"; exit 1 \
 		;; \
 	esac ; \
-	sed < debian/ia32-libs/usr/bin/ldd "s%RTLDLIST=.*%RTLDLIST=\" $$RTLDLIST\"%" | sed 's%verify_out=`$${rtld} --verify "$$file"`%verify_out=`$${rtld} --verify "$$file" 2>\&1`%' > debian/ia32-libs/ldd 
-
-	mv debian/ia32-libs/usr/bin/lddlibc4 debian/ia32-libs/
-	rm -rf debian/ia32-libs/usr/bin
-	mkdir -p debian/ia32-libs/usr/bin
-	mv debian/ia32-libs/ldd debian/ia32-libs/usr/bin/
-	mv debian/ia32-libs/lddlibc4 debian/ia32-libs/usr/bin/
-	chmod u=rwx,go=rx debian/ia32-libs/usr/bin/ldd
 
 	mkdir -p debian/ia32-libs/lib/
-	ln -s /$(ROOT)/lib$(SUFFIX)/ld-2.3.2.so debian/ia32-libs/lib/ld-linux.so.2 
+	ln -s /$(ROOT)/lib$(SUFFIX)/ld-linux.so.2 debian/ia32-libs/lib/ld-linux.so.2 
 
 # Add doc dir and lintian overrides
 	mkdir -p debian/ia32-libs/usr/share/doc/ia32-libs
@@ -135,14 +136,11 @@
 #	mv debian/ia32-libs/usr/include debian/ia32-libs-dev/usr/include
 	mkdir -p debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)
 	mv debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/*.so debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)
+	mv debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)/libdb-*.so debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/
 	mv debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/*.a debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)
 	mv debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/*.o debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)
 
 binary-indep:
-
-# Build architecture-dependent files here.
-
-
 
 binary-arch: build install
 	dh_testdir -s
